FactoryBot.define do
  factory :address, class: Xpost::Address do
    name { "Bobby Axelrod" }
    line_1 { "Axe Capital" }
  end

  factory :required_address, class: Xpost::Address do
    name { "Bobby Axelrod" }
    line_1 { "BGC Corporate Centre" }
    city { "Taguig" }
    state { "Metro Manila" }
    postal_code { "1634" }
    country { "PH" }

    initialize_with { new(attributes) }
  end  

  factory :complete_address, class: Xpost::Address do
    name { "Bobby Axelrod" }
    line_1 { "BGC Corporate Centre" }
    line_2 { "5th floor" }
    city { "Taguig" }
    state { "Metro Manila" }
    postal_code { "1634" }
    country { "PH" }
    company { "Axe Capital" }
    title { "CEO" }
    email { "bobby@axe.com" }
    phone_number { "12345678" }
    mobile_number { "091712345678" }
    fax_number { "12345678" }
    district { "BGC" }
    remarks { "Send ASAP" }
    
    initialize_with { new(attributes) }
  end

  factory :complete_address_pickup, class: Xpost::Address do
    name { "Taylor Mason" }
    line_1 { "BGC Corporate Centre" }
    line_2 { "7th floor" }
    city { "Taguig" }
    state { "Metro Manila" }
    postal_code { "1634" }
    country { "PH" }
    company { "Taylor Mason Capital" }
    title { "CEO" }
    email { "taylor@tmcapital.com" }
    phone_number { "12345678" }
    mobile_number { "091712345678" }
    fax_number { "12345678" }
    district { "BGC" }
    remarks { "" }
    
    initialize_with { new(attributes) }
  end
end