require 'faker'

FactoryBot.define do
  factory :order, class: Xpost::Order do
    email { "john@me.com" }
    buyer_name { "John Doe" }
    contact_number { "+6391712345678" }
    reference_id { "xport-test-#{Faker::Number.number(10)}" }

    shipment { "small-pouch" }
    total { 1000 }
    currency { "PHP" }
    payment_method { "cod" }
    payment_provider { "lbcx" }

    items { [build(:complete_product_item)] }
    delivery_address { build(:complete_address) }
  end

  factory :cod_order, class: Xpost::Order do
    email { "john@me.com" }
    buyer_name { "John Doe" }
    contact_number { "+6391712345678" }
    reference_id { "xport-test-#{Faker::Number.number(10)}" }

    shipment { "small-pouch" }
    total { 1000 }
    currency { "PHP" }
    payment_method { "cod" }
    payment_provider { "lbcx" }

    items { [build(:complete_product_item)] }
    delivery_address { build(:complete_address) }
  end

  factory :cod_order_ready_for_pickup, class: Xpost::Order do
    email { "john@me.com" }
    buyer_name { "John Doe" }
    contact_number { "+6391712345678" }
    reference_id { "xport-test-#{Faker::Number.number(10)}" }

    shipment { "small-pouch" }
    total { 1000 }
    currency { "PHP" }
    payment_method { "cod" }
    payment_provider { "lbcx" }

    items { [build(:complete_product_item)] }
    delivery_address { build(:complete_address) }
    pickup_address { build(:complete_address_pickup) }
  end

  # factory :confirmable_order, class: Xpost::Models::Order do
  # end
  
  # factory :for_pickup_order, class: Xpost::Models::Order do
  # end

end