require 'spec_helper'

RSpec.describe "Orders.find" do
  before do
    Xpost.configure do |config|
      config.api_key        = ENV['XPOST_STAGING_API_KEY']
      config.secret_key     = ENV['XPOST_STAGING_SECRET_KEY']
      config.staging_url    = "https://api.staging.lbcx.ph/v1"
      config.production_url = "https://api.staging.lbcx.ph/v1"
    end
    @auth_token = Xpost::Authentication.authenticate(Xpost.configuration.api_key, Xpost.configuration.secret_key)
  end
  
  it 'returns a valid order' do
    tracking_number = "0076-1174-PSAT"
    order = Xpost::Orders.find(@auth_token, tracking_number)
    
    expect(order[:id]).to eq 761174
    expect(order[:tracking_number]).to eq "0076-1174-PSAT"
  end

  it 'fails on an invalid order' do
    tracking_number = "0076-1174-PSAZ"
    order = Xpost::Orders.find(@auth_token, tracking_number)

    expect(order).to eq "Not Found"
  end
end